clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::format::FormatStyle::RawStringFormat Struct Reference

See documentation of `RawStringFormats`. More...

`#include "clang/Format/Format.h"`

Collaboration diagram for clang::format::FormatStyle::RawStringFormat:
[legend]

## Public Member Functions
bool | operator== (const RawStringFormat &Other) const

## Public Attributes
LanguageKind | Language
| The language of this raw string. More...
std::vector< std::string > | Delimiters
| A list of raw string delimiters that match this language. More...
std::vector< std::string > | EnclosingFunctions
| A list of enclosing function names that match this language. More...
std::string | CanonicalDelimiter
| The canonical delimiter for this language. More...
std::string | BasedOnStyle
| The style name on which this raw string format is based on. More...

## Detailed Description

See documentation of `RawStringFormats`.

Definition at line 1422 of file Format.h.

## Member Function Documentation

## ◆ operator==()

bool clang::format::FormatStyle::RawStringFormat::operator== | ( | const RawStringFormat & | Other | ) | const
| inline

Definition at line 1435 of file Format.h.

References BasedOnStyle, CanonicalDelimiter, Delimiters, EnclosingFunctions, and Language.

## Member Data Documentation

## ◆ BasedOnStyle

std::string clang::format::FormatStyle::RawStringFormat::BasedOnStyle

The style name on which this raw string format is based on.

If not specified, the raw string format is based on the style that this format is based on.

Definition at line 1434 of file Format.h.

Referenced by operator==().

## ◆ CanonicalDelimiter

std::string clang::format::FormatStyle::RawStringFormat::CanonicalDelimiter

The canonical delimiter for this language.

Definition at line 1430 of file Format.h.

Referenced by operator==().

## ◆ Delimiters

std::vector<std::string> clang::format::FormatStyle::RawStringFormat::Delimiters

A list of raw string delimiters that match this language.

Definition at line 1426 of file Format.h.

Referenced by operator==().

## ◆ EnclosingFunctions

std::vector<std::string> clang::format::FormatStyle::RawStringFormat::EnclosingFunctions

A list of enclosing function names that match this language.

Definition at line 1428 of file Format.h.

Referenced by operator==().

## ◆ Language

LanguageKind clang::format::FormatStyle::RawStringFormat::Language

The language of this raw string.

Definition at line 1424 of file Format.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- include/clang/Format/Format.h